package model;
// Generated Jan 11, 2019 11:51:24 PM by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Sets generated by hbm2java
 */
@Entity
@Table(name="sets"
    ,catalog="mydb"
)
public class Sets  implements java.io.Serializable {


     private Integer idSets;
     private ProgressTracker progressTracker;
     private int numberOfReps;

    public Sets() {
    }

    public Sets(ProgressTracker progressTracker, int numberOfReps) {
       this.progressTracker = progressTracker;
       this.numberOfReps = numberOfReps;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idSets", unique=true, nullable=false)
    public Integer getIdSets() {
        return this.idSets;
    }
    
    public void setIdSets(Integer idSets) {
        this.idSets = idSets;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="Progress_Tracker_idStats", nullable=false)
    public ProgressTracker getProgressTracker() {
        return this.progressTracker;
    }
    
    public void setProgressTracker(ProgressTracker progressTracker) {
        this.progressTracker = progressTracker;
    }

    
    @Column(name="number_of_reps", nullable=false)
    public int getNumberOfReps() {
        return this.numberOfReps;
    }
    
    public void setNumberOfReps(int numberOfReps) {
        this.numberOfReps = numberOfReps;
    }




}


